# Get statistics for multiple registries

Get statistics (packageCount, size, downloadCount, artifactsCount) for a list of registries by their UUIDs.

Endpoint: POST /har/api/v3/registries/stats
Version: 1.0
Security: x-api-key

## Query parameters:

  - `account_identifier` (string, required)
    Unique identifier for the Harness account.

  - `org_identifier` (string)
    Unique identifier for the organization within the account.

Example: default or engineering_org

  - `project_identifier` (string)
    Unique identifier for the project within the organization.

Example: my_project or frontend_services

## Request fields (application/json):

  - `registryIds` (array, required)
    List of registry UUIDs to fetch statistics for

## Response 200 fields (application/json):

  - `items` (array, required)
    List of registry statistics

  - `items.artifactsCount` (integer)
    Total number of artifacts in the registry

  - `items.downloadCount` (integer)
    Total download count for the registry

  - `items.id` (string, required)
    Registry UUID

  - `items.packageCount` (integer)
    Total number of packages in the registry

  - `items.size` (string)
    Total size of the registry (human-readable format)

## Response default fields (application/json):

  - `error` (object, required)

  - `error.code` (string)
    For some errors that could be handled programmatically, a short string indicating the [error code](https://docs.stripe.com/error-codes) reported.

  - `error.message` (string)
    A human-readable message providing more details about the error. These messages can be shown to users.

  - `error.param` (string)
    If the error is parameter-specific, the parameter related to the error. For example, we can use this to display a message near the correct form field.

  - `error.type` (string, required)
    The type of error returned.
    Enum: "INVALID_REQUEST_ERROR", "AUTHENTICATION_ERROR", "PERMISSION_ERROR", "API_ERROR"


